Trys schemos
Kiekviena schema yra trumpas tekstas, kurį telefonas moka perduoti tinkamai programėlei. mailto: atidaro el. pašto programėlę, tel: atidaro numerio rinkiklį, o sms: atidaro žinučių programėlę, kurioje jau gali būti įrašytas gavėjas ir kartais pranešimas.
Telefono numeriai geriausiai veikia tarptautiniu formatu su pliuso ženklu ir šalies kodu, pavyzdžiui, +15035550123, kad kodas veiktų ir lankytojams iš kitų šalių.
- mailto:hello@example.com?subject=Order%20question&body=Hi (RFC 6068)
- tel:+15035550123 (RFC 3966)
- sms:+15035550123?body=Hello (RFC 5724)
- SMSTO:+15035550123:Hello (senesnis susitarimas, vis dar plačiai skaitomas)
- MATMSG:TO:hello@example.com;SUB:Hi;BODY:Hello;; (senesnis el. pašto susitarimas)
Pranešimo teksto kodavimas
mailto ir sms nuorodų temos bei pranešimų tekstai turi būti koduojami procentais, todėl tarpas tampa %20, o ampersandas teksto viduje – %26. Neužkoduoti simboliai gali nutraukti pranešimą anksčiau laiko arba sugadinti nuorodą.
Platformos ne visada vienodai apdorojo sms body parametrą, ir tai viena iš priežasčių, kodėl senesnė SMSTO: forma vis dar dažna QR generatoriuose. Patikima patikra – prieš spausdinant išbandyti „iPhone“ ir „Android“ telefonuose.
Ko šie kodai negali
QR kodas pats negali išsiųsti el. laiško, žinutės ar paskambinti. Jis tik atidaro programėlę su užpildytais laukais, o nuskaitantis žmogus nusprendžia, ar spausti siųsti, ar skambinti.
Kadangi gavėjas matomas prieš siunčiant, žmonės turėtų patikrinti, ar jis atitinka tai, ko tikisi. Kodas, iš anksto užpildantis žinutę į padidinto tarifo numerį ar nepažįstamą adresą, yra perspėjimo ženklas.